Subject: bug#74470: closed (Re: bug#74470: Bug: [email-masked] arm crosscompile fails due to patch on 1.3.1 version)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Nov 2024 21:25:02 +0000

Your bug report

#74470: Bug: [email-masked] arm crosscompile fails due to patch on 1.3.1 version

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74470: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74470
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74470: Bug: [email-masked] arm crosscompile fails due to patch on 1.3.1 version
From: <[email-masked]>
To: Razvan Lixandru <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Nov 2024 22:21:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Razvan Lixandru writes:

> This patch seems to fix the problem, I was able to crosscompile the
> package wit it added in my own channel, I could not get guix to use it
> but that is another issue :)

Ah, that's both good and bad :)

> Hope to see this merged soon :)

Pushed to master as 02477c6a4fe84058c6e06e3065363835c5be8f57.

Thanks for your report.
Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com

Subject: Bug: [email-masked] arm crosscompile fails due to patch on 1.3.1 version
From: Razvan Lixandru <[email-masked]>
To: [email-masked]
Date: Fri, 22 Nov 2024 10:46:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

It looks like this commit:
https://git.savannah.gnu.org/cgit/guix.git/commit/gnu/packages/guile-xyz.scm?id=20c7b8dd04e421a139a02438cf1ddfdfe544a446
causes [email-masked] which is pulled by shepherd to fail:

phase `unpack' succeeded after 0.0 seconds
starting phase `apply-cross-build-fix-patch'
patching file build-aux/guile.am
Hunk #1 FAILED at 22.
1 out of 1 hunk FAILED -- saving rejects to file build-aux/guile.am.rej
error: in phase 'apply-cross-build-fix-patch': uncaught exception:
%exception #<&invoke-error program: "patch" arguments: ("--force"
"-p1" "-i" "/gnu/store/97r1rrxa9ghrj5qp3din1pg6p2lcpzyv-guile-fibers-cross-build-fix.patch")
exit-status: 1 term-signal: #f stop-signal: #f>
phase `apply-cross-build-fix-patch' failed after 0.0 seconds
command "patch" "--force" "-p1" "-i"
"/gnu/store/97r1rrxa9ghrj5qp3din1pg6p2lcpzyv-guile-fibers-cross-build-fix.patch"
failed with status 1
build process 18 exited with status 256

This happens on both arm-linux-gnueabihf and arm64-linux-gnu.
I think it is happening because the 1.1.1 version inherits 1.3.1.
package and it overrides the source, but the patch is still being
applied.

I guess this brakes all arm* crossbuilds.

Cheers,
Razvan